<?php
/**
 * Base class for storages
 */

abstract class AbstractStorage {

	abstract function getEntryByUrl($url);

	abstract function reserveId($userShortId, $url);
	
	abstract function getEntryById($shortId);
	
	abstract function markVisited($shortId);
	
	abstract function getStatisticsOverview();

}
 